package org.rcisoft.business.excelimport.tbexcelinfo.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with zyj on 2019-8-3 0:55:38.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "tb_excel_info")
public class TbExcelInfo  extends CyIdEntity<TbExcelInfo> {



     /**
     * @desc excel的状态: 0:未完成 1:已正常完成 2: 非正常完成
     * @column excel_status
     * @default 
     */
     private String excelStatus;
     /**
      *
      */
     private String userId;

}

