package org.rcisoft.business.exportexclemodel.controller;

import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.exportexclemodel.service.impl.ExcleModelServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Slf4j
@RestController
@RequestMapping("/getexclemodel")
public class GetExcleModel {
    @Autowired
    ExcleModelServiceImpl excleModelService;

    @ApiOperation(value="下载模板", notes="下载模板")
    @GetMapping(value = "/model/{businessId:\\w+}")
    public void ExcleModel(@PathVariable String businessId, HttpServletRequest request, HttpServletResponse response) {
      excleModelService.getExcleModel(businessId,request,response);
    }
}
