package org.rcisoft.business.processDesign.dao;

import org.rcisoft.business.processDesign.entity.WorkflowTask;
import org.rcisoft.core.base.CyBaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * Created with cy on 2019-7-26 16:12:11.
 */
@Repository
public interface WorkflowTaskRepository extends CyBaseMapper<WorkflowTask> {

    /**
     * 分页查询 workflowTask
     */
    @Select("<script>select * from workflow_task where 1=1 "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTask> queryWorkflowTasks(WorkflowTask workflowTask);

    //查询全部工单
    @Select("<script>select workflow_task.*,workflow_task_type.name workTypeName from workflow_task,workflow_task_type where workflow_task.work_tp_id = workflow_task_type.id "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTask> queryWorkflowTask();

    //根据工单Id
    @Select("<script>select * from workflow_task where work_id=#{workId}  "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    WorkflowTask templateIdByWorkId(WorkflowTask workflowTask);
}

