package org.rcisoft.business.processDesign.dao;

import org.rcisoft.business.processDesign.entity.WorkflowTemplateApproveHi;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateHi;
import org.rcisoft.core.base.CyBaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * Created with cy on 2019-7-26 16:12:11.
 */
@Repository
public interface WorkflowTemplateApproveHiRepository extends CyBaseMapper<WorkflowTemplateApproveHi> {

    /**
     * 分页查询 workflowTemplateApproveHi
     */
    @Select("<script>select * from workflow_template_approve_hi where 1=1 "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplateApproveHi> queryWorkflowTemplateApproveHis(WorkflowTemplateApproveHi workflowTemplateApproveHi);

    @Select("<script>select * from workflow_template_approve_hi where template_id = #{id}</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplateApproveHi> getByTemplateId(WorkflowTemplateHi workflowTemplateHi);
}

