package org.rcisoft.business.processDesign.dao;


import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateProcessFile;
import org.rcisoft.core.base.CyBaseMapper;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with cy on 2019-8-15 10:21:36.
*/
@Repository
public interface WorkflowTemplateProcessFileRepository extends CyBaseMapper<WorkflowTemplateProcessFile> {


    @Select("<script>SELECT workflow_template_process_file.* FROM workflow_template_process_file LEFT JOIN  " +
            "workflow_template ON workflow_template_process_file.template_id = workflow_template.id  " +
            "LEFT JOIN workflow_template_hi ON workflow_template_hi.type_template = workflow_template.type_template  " +
            "LEFT JOIN process_mid ON process_mid.template_id= workflow_template_hi.id " +
            "WHERE process_mid.process_id = (SELECT ACT_HI_ACTINST.PROC_INST_ID_  FROM ACT_HI_ACTINST WHERE ACT_HI_ACTINST.TASK_ID_ = #{taskId})  " +
            "AND workflow_template_process_file.start_usertask = (SELECT ACT_HI_ACTINST.ACT_ID_ FROM ACT_HI_ACTINST WHERE ACT_HI_ACTINST.TASK_ID_ = #{taskId}) </script>")
    @ResultMap("BaseResultMap")

    List<WorkflowTemplateProcessFile> WorkflowTemplateProcessFiles(@Param("taskId") String taskId);


}

