package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "process_mid")
public class ProcessMid{

     /**
     * @desc 主键ID
     * @column bussiness_id
     * @default 
     */
     private String businessId;
     /**
     * @desc 流程id
     * @column processid
     * @default 
     */
     private String processid;
     /**
     * @desc 流程类型
     * @column type_version
     * @default 
     */
     private String typeProcess;
     /**
      * @desc 流程执行次数
      * @column type_version
      * @default
      */
     private String version;
     /**
     * @desc 信息表id
     * @column jz_message_id
     * @default 
     */
     private String jzMessageId;
     /**
     * @desc 模板id
     * @column templateid
     * @default 
     */
     private String templateid;
     /**
     * @desc  模板类型
     * @column typetemplate
     * @default 
     */
     private String typeTemplate;

     /*
     * @desc 当前数据
     *
     *
     * */
     @Transient
    private  List<WorkflowTaskData> workflowTaskDatas;

}

