package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;

/**
* Created with cy on 2019-7-25 9:18:25.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_task_data")
public class WorkflowTaskData  {


     /**
     * @desc 
     * @column id
     * @default 
     */
     @Id
     private String id;
     /**
     * @desc 任务主键
     * @column work_id
     * @default 
     */
     private String workId;
     /**
     * @desc 模板字段主键
     * @column field_id
     * @default 
     */
     private String fieldId;
     /**
     * @desc 填充值
     * @column field_value
     * @default 
     */
     private String fieldValue;
     /*
      * @desc
      * @columb （0：首次赋值，1：更改过）
      * @default
      **/
     private String isFirst;

    /*
      * 流程实例id
      */
     private String processId;

     @Transient
     private String regionStr;

     @Transient
     private String typeTemplate;

     @Transient
     private String typeProcess;

     @Transient
     private String fieldTp;

     @Transient
     private String fieldNm;

     @Transient
     private String fieldHind;

     @Transient
     private String fieldOrder;

     @Transient
     private String version;

     @Transient
     private String fieldExpand;

     @Transient
     private String required;


}

