package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.business.jzmessage.entity.JzMessage;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-29 14:10:55.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_task_date_mes")
public class WorkflowTaskDateMes {


     /**
     * @desc 主键
     * @column id
     * @default 
     */
     @Id
     private String id;
     /**
     * @desc 任务主键
     * @column task_id
     * @default 
     */
     private String taskId;  //----------完成任务-------
     /**
     * @desc 任务创建人
     * @column create_person
     * @default 
     */
     private String createPerson;
     /**
     * @desc 创建时间
     * @column create_time
     * @default 
     */
     private Date createTime;

     /*
     * @desc 工作流字符串
      * @column json_str
      * @default
      *
     * */
     private String jsonStr;   //----------完成任务-------
     /*
      * @desc 业务字符串
      * @column region_str
      * @default
      *                       {"yewudan":"23232","yewudan":"32323232"}
      * */
     private String regionStr; //----------完成任务-------

     /*
      * @desc 流程指向
      * @column transition
      * @default
      *                          {"12323":"23232","2ewew":"32323232"}
     * */
     private String transition; //----------完成任务------- 提交
     /*
      * @desc 备注
      * @column remarks
      * @default
      * */
     private String remarks;  //----------完成任务-------    备注

     /*
      * @desc 流程实例id
      * @column process_id
      * @default
      */
     private String processId;  //----------完成任务-------

    //流程类型
     @Transient
    private String typeTemplate;
    // 字段值
     @Transient
     private String hifieldValue;
     //提示语
     @Transient
     private String fhiFieldHint;
     //字段名称
     @Transient
     private String fhiFieldNm;
     //顺序
     @Transient
     private String fhiFieldOrder;
     //字段类型
     @Transient
     private String fhiFieldTp;
     //流程类型
     @Transient
     private String pmTypeProcess;
    //流程版本
     @Transient
     private String pmVersion;
    //字段id
     @Transient
     private String fhiFieldId;
     //字段值id
     @Transient
     private String did;
     //执行人姓名
     @Transient
     private String name;
     //基站信息
     @Transient
     private String jzMessage;

     @Transient
     private String fhiExpand;

}

