package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;

/**
* Created with cy on 2019-7-25 9:18:25.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_form_field")
@Builder
public class WorkflowTemplateFormField extends CyIdNotDataEntity<WorkflowTemplateFormField>{


     /**
     * @desc 字段主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 工单模板主键
     * @column template_id
     * @default 
     */
     private String templateId;
     /**
     * @desc 字段类型
     * @column field_tp
     * @default 
     */
     private String fieldTp;
     /**
     * @desc 字段名称
     * @column field_nm
     * @default 
     */
     private String fieldNm;
     /**
     * @desc 顺序
     * @column field_order
     * @default 
     */
     private Integer fieldOrder;
     /**
     * @desc 提示语
     * @column field_hint
     * @default 
     */
     private String fieldHint;
     /**
     * @desc 是否必填
     * @column required
     * @default 
     */
     private String required;
     /**
     * @desc 是否参与打印
     * @column print
     * @default 
     */
     private String print;
     /**
     * @desc 是否关键信息
     * @column major
     * @default 
     */
     private String major;
     /**
     * @desc 拓展
     * @column expand
     * @default 
     */
     private String expand;

}

