package org.rcisoft.business.processDesign.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdNotDataEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
* Created with cy on 2019-7-25 9:18:25.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_hi")
public class WorkflowTemplateHi extends CyIdNotDataEntity<WorkflowTemplateHi> {


     /**
     * @desc 工单模板主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 模板名称
     * @column template_nm
     * @default 
     */
     private String templateNm;
     /**
     * @desc 工单类型主键
     * @column work_tp_id
     * @default 
     */
     private String workTpId;
     /**
     * @desc 是否允许手机创建
     * @column phone
     * @default 
     */
     private String phone;
     /**
     * @desc 
     * @column create_roles
     * @default 
     */
     private String createRoles;
     /**
     * @desc 
     * @column manager_roles
     * @default 
     */
     private String managerRoles;
     /**
     * @desc 
     * @column template_explain
     * @default 
     */
     private String templateExplain;
     /**
     * @desc 是否启用
     * @column if_enable
     * @default 
     */
     private String ifEnable;
     /**
     * @desc 图标
     * @column icon_image
     * @default 
     */
     private Byte[] iconImage;
     /**
     * @desc 
     * @column create_time
     * @default 
     */
     private Date createTime;
     /**
     * @desc 
     * @column update_time
     * @default 
     */
     private Date updateTime;

     /*
     * @desc
     * @column version
     * @default
     * */
     private String version;
     /*
      * @desc
      * @column typetemplate
      * @default
      */
     private String typeTemplate;
}

