package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:12.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_permission_hi")
public class WorkflowTemplatePermissionHi  extends CyIdNotDataEntity<WorkflowTemplatePermissionHi> {


     /**
     * @desc 主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 
     * @column template_id
     * @default 
     */
     private String templateId;
     /**
     * @desc 流程节点ID
     * @column activity_id
     * @default 
     */
     private String activityId;
     /**
     * @desc 工单模板字段主键
     * @column field_id
     * @default 
     */
     private String fieldId;
     /**
     * @desc 权限设置（编辑/只读/隐藏）
     * @column permission
     * @default 
     */
     private String permission;
     /**
      * @desc 权限设置（编辑）
      * @column permission
      * @default
      */
     private String ifWrite;


}

