package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-8-15 10:21:35.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_process_file")
public class WorkflowTemplateProcessFile  extends CyIdNotDataEntity<WorkflowTemplateProcessFile> {


     /**
     * @desc 主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 工单模板主键
     * @column template_id
     * @default 
     */
     private String templateId;
     /**
     * @desc 流程文件存放路径
     * @column process_file
     * @default 
     */
     private String processFile;
     /**
     * @desc 流程文件名称
     * @column process_file_nm
     * @default 
     */
     private String processFileNm;
     /**
     * @desc 是否部署
     * @column if_deploy
     * @default 
     */
     private String ifDeploy;
     /**
     * @desc 新流程部署文件
     * @column new_process_file
     * @default 
     */
     private String newProcessFile;
     /**
     * @desc 第一个任务节点id
     * @column start_usertask
     * @default 
     */
     private String startUsertask;


}

