package org.rcisoft.business.processDesign.service;

import org.rcisoft.business.jzmessage.entity.JzMessage;
import org.rcisoft.business.processDesign.dto.*;
import org.rcisoft.business.processDesign.entity.WorkflowTaskData;
import org.rcisoft.business.processDesign.entity.WorkflowTaskDateMes;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 20:24  2019/8/5
 * @Modified By:
 */
public interface AllMesssageService {

    //返回当前基站信息和流程信息
    public NowMessageDTO getMessageJZTem(String jzMessageId);

    //返回当前基站信息和流程信息
    public NowMessageDTO getMessageJZTemByProjectCode(String projectCode);

    //返回历史的基站信息和流程信息
    public AllMessageHiDTO getMessageHi(String jzMessageId);

    //修改当前表单信息
    public CyPersistModel updateMes(WorkflowTaskDateMes workflowTaskDateMes);

    //管理员修改基站信息
    public CyPersistModel updateJZMes(JzMessage jzMessage);

    //业务员提交修改单
    public CyPersistModel uploadJzMes(JzMessage jzMessage);

    //修改信息待办任务返回信息
    public AlterWaitMesDTO alterMesByXgId(String xgId,String taskId);

    /*//修改信息已办信息返回
    public AlterMesDTO alterMesBytaskId(String xgid,String taskId);*/

}
