/*
package org.rcisoft.business.processDesign.service.impl;

import org.activiti.engine.ProcessEngine;
import org.activiti.engine.ProcessEngines;
import org.activiti.engine.TaskService;
import org.activiti.engine.task.TaskQuery;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateFormFieldRepository;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateHiRepository;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateRepository;
import org.rcisoft.business.processDesign.dto.WorkTemplateResDTO;
import org.rcisoft.business.processDesign.entity.WorkflowTemplate;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateFormField;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateHi;
import org.rcisoft.business.processDesign.service.WorkTemplateHiService;
import org.rcisoft.business.processDesign.service.WorkflowTemplateFormFieldService;
import org.rcisoft.core.model.CyPersistModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

*/
/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 14:19  2019/7/25
 * @Modified By:
 *//*

@Service
@Transactional
public class WorkTemplateHiServiceImpl implements WorkTemplateHiService {
    @Autowired
    WorkflowTemplateHiRepository workflowTemplateHiRepository;
    @Autowired
    WorkflowTemplateFormFieldRepository workflowTemplateFormFieldRepository;
    @Autowired
    WorkflowTemplateFormFieldService workflowTemplateFormFieldService;
    @Autowired
    TaskService taskService;
    @Override
    public WorkTemplateResDTO getTemplateBytaskId(String taskId) {

        return null;
    }
    @Override
    public CyPersistModel saveTemplateHi(WorkTemplateResDTO workTemplateResDTO){
        if (workTemplateResDTO.getTemplateId()==null) {
            return new CyPersistModel(0);
        }
        String templateId = workTemplateResDTO.getTemplateId();
        //任务基础设置-----------------------------------------------------------------------
        //1保存基础信息
        if (workTemplateResDTO.getWorkflowTemplateHi() != null) {
            //判断模板id是否存在
            WorkflowTemplateHi workflowTemplateHi = workflowTemplateHiRepository.selectByPrimaryKey(templateId);
            workTemplateResDTO.getWorkflowTemplateHi().setId(templateId);
            if (workflowTemplateHi != null) {
                workTemplateResDTO.getWorkflowTemplateHi().setUpdateTime(new Date());
                workflowTemplateHiRepository.updateByPrimaryKey(workTemplateResDTO.getWorkflowTemplateHi());
            } else {
                workTemplateResDTO.getWorkflowTemplateHi().setIfEnable("0");
                workTemplateResDTO.getWorkflowTemplateHi().setCreateTime(new Date());
                workflowTemplateHiRepository.insert(workTemplateResDTO.getWorkflowTemplateHi());
            }
        }
        //任务基础设置-----------------------------------------------------------------------------
        //2保存表单信息
        if (workTemplateResDTO.getFieldJsonStr()!=null) {
            //根据template更新（删除重新添加）操作表单数据
            //判断如果在储存表单中有templateid存在的话得到template对应的最高版本将最高版本+1，insert到数据存贮表
            workflowTemplateFormFieldService.saveOrUpdateWorkTempldateField(templateId, workTemplateResDTO.getFieldJsonStr());
        }
        return new CyPersistModel(1);
    }

    @Override
    public List<WorkflowTemplateHi> getAllTemplatesHi(String ifEnable,String ifPhone) {
        WorkflowTemplateHi workflowTemplateHi = new WorkflowTemplateHi();
        workflowTemplateHi.setPhone(ifPhone);
        workflowTemplateHi.setIfEnable(ifEnable);
        return workflowTemplateHiRepository.queryWorkflowTemplates(workflowTemplateHi) ;
    }
}
*/
