/*
package org.rcisoft.business.processDesign.service.impl;

import org.rcisoft.business.processDesign.dao.WorkflowTaskRepository;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateHiRepository;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateRepository;
import org.rcisoft.business.processDesign.entity.WorkflowTask;
import org.rcisoft.business.processDesign.entity.WorkflowTemplate;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateHi;
import org.rcisoft.business.processDesign.service.WorkflowTaskService;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.util.CyIdGenUtil;
import org.rcisoft.core.util.CyUserUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

*/
/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 15:50  2019/7/29
 * @Modified By:
 *//*

@Service
@Transactional
public class WorkflowTaskServiceImpl implements WorkflowTaskService {
    @Autowired
    private WorkflowTaskRepository workflowTaskRepository;
    @Autowired
    private WorkflowTemplateHiRepository workflowTemplateHiRepository;
    @Autowired
    private WorkflowTemplateRepository workflowTemplateRepository;

    //查询全部工单
    @Override
    public List<WorkflowTask> queryWorkflowTask() {
        return workflowTaskRepository.queryWorkflowTask();
    }

    @Override
    public CyPersistModel updateWorkflowTask(String workId) {
        WorkflowTask workflowTask= new WorkflowTask();
        workflowTask.setWorkId(workId);
        //根据工单id查询templateId
        WorkflowTask workflowTask1 = workflowTaskRepository.templateIdByWorkId(workflowTask);
        //通过templateid查询历史模板表数据放入当前模板表得到当前模板templateid
        WorkflowTemplateHi workflowTemplateHi = new WorkflowTemplateHi();
        workflowTemplateHi.setId(workflowTask1.getTemplateId());
        WorkflowTemplateHi workflowTemplateHi1 = workflowTemplateHiRepository.templateHiByTemplateId(workflowTemplateHi);
        workflowTemplateHi1.setId(CyIdGenUtil.uuid());
        workflowTemplateRepository.insertTemplateHi(workflowTemplateHi1);
        //通过原templateId查询数据 显示，
        //将更改后的**数据存放在当前表templateId设置为新templateid
        //发布后将所有数据存贮到历史表当前表清除
        //模板表存贮到历史表更新版本当前表清除
        //更新当前工单id对应的模板id
        return null;
    }
}
*/
