/*
package org.rcisoft.business.processDesign.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.rcisoft.business.processDesign.dao.WorkflowTemplateFormFieldRepository;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateFormField;
import org.rcisoft.business.processDesign.service.WorkflowTemplateFormFieldService;
import org.rcisoft.core.util.CyUserUtil;
import org.rcisoft.core.aop.CyPageUtil;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.service.CyBaseService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;


import java.util.ArrayList;
import java.util.List;
import lombok.extern.slf4j.Slf4j;
import org.springframework.transaction.interceptor.TransactionAspectSupport;

*/
/**
 * Created by cy on 2019-7-25 9:18:25.
 *//*

@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class WorkflowTemplateFormFieldServiceImpl extends CyBaseService  implements WorkflowTemplateFormFieldService {
    Logger logger = LoggerFactory.getLogger(WorkflowTemplateFormFieldServiceImpl.class);
    @Autowired
    private WorkflowTemplateFormFieldRepository workflowTemplateFormFieldRepository;

    @Override
    public boolean saveOrUpdateWorkTempldateField(String templateId, String jsonStr) {
        try {
            JSONObject json = JSON.parseObject(jsonStr);
            //保存前先清除之前的信息
            */
/*QueryWrapper qw = new QueryWrapper();
            qw.eq("TEMPLATE_ID", templateId);
            baseMapper.delete(qw);*//*

            JSONArray array = json.getJSONArray("template");
            List<WorkflowTemplateFormField> insertList = new ArrayList<>();
            if (array != null && !array.isEmpty()) {
                for (Object obj : array) {
                    JSONObject levelFirst = (JSONObject) obj;
//                    JSONObject levelecond = levelFirst.getJSONObject("obj");
                    WorkflowTemplateFormField wtf = WorkflowTemplateFormField.builder().id(levelFirst.getString("id"))
                            .templateId(templateId)
                            .fieldNm(levelFirst.get("fieldNm").toString())
                            .fieldOrder(Integer.parseInt(levelFirst.get("fieldOrder").toString()))
                            .fieldTp(levelFirst.get("fieldTp").toString())
                            .major(levelFirst.get("major").toString())
                            .print(levelFirst.get("print").toString())
                            .required(levelFirst.get("required").toString())
                            .expand(levelFirst.get("expand").toString())
                            .build();
                    insertList.add(wtf);
                }
                //输入到数据库foreach 插入
               // this.saveBatch(insertList);
                return true;
            }

        } catch (Exception e) {
            logger.error(e.getMessage());
            TransactionAspectSupport.currentTransactionStatus().setRollbackOnly();
        }
        return false;
    }
    */
/**
    * 保存 
    * @param workflowTemplateFormField
    * @return
    *//*

    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel save(WorkflowTemplateFormField workflowTemplateFormField){
        //增加操作
        CyUserUtil.setCurrentPersistOperation(workflowTemplateFormField);
        int line = workflowTemplateFormFieldRepository.insertSelective(workflowTemplateFormField);
        this.dbInfo(CyUserUtil.getAuthenUsername()+"新增了ID为"+
workflowTemplateFormField.getBusinessId()+"的信息","新增");
        log.info(CyUserUtil.getAuthenUsername()+"新增了ID为"+
            workflowTemplateFormField.getBusinessId()+"的信息");
        return new CyPersistModel(line);
    }

    */
/**
    * 删除 
    * @param workflowTemplateFormField
    * @return
    *//*

    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel remove(WorkflowTemplateFormField workflowTemplateFormField){
        int line = workflowTemplateFormFieldRepository.deleteByPrimaryKey(workflowTemplateFormField.getBusinessId());
        this.dbInfo(CyUserUtil.getAuthenUsername()+"删除了ID为"+
workflowTemplateFormField.getBusinessId()+"的信息","删除");
        log.info(CyUserUtil.getAuthenUsername()+"删除了ID为"+
            workflowTemplateFormField.getBusinessId()+"的信息");
        return new CyPersistModel(line);
    }
    */
/**
    * 修改 
    * @param workflowTemplateFormField
    * @return
    *//*

    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public CyPersistModel merge(WorkflowTemplateFormField workflowTemplateFormField){
        CyUserUtil.setCurrentMergeOperation(workflowTemplateFormField);
        int line = workflowTemplateFormFieldRepository.updateByPrimaryKeySelective(workflowTemplateFormField);
        this.dbInfo(CyUserUtil.getAuthenUsername()+"修改了ID为"+
workflowTemplateFormField.getBusinessId()+"的信息","修改");
        log.info(CyUserUtil.getAuthenUsername()+"修改了ID为"+
            workflowTemplateFormField.getBusinessId()+"的信息");
        return new CyPersistModel(line);
    }

    */
/**
    * 根据id查询 
    * @param id
    * @return
    *//*

    @Override
    public WorkflowTemplateFormField findById(String id){
        return workflowTemplateFormFieldRepository.selectByPrimaryKey(id);
    }

    */
/**
    * 分页查询 
    * @param workflowTemplateFormField
    * @return
    *//*

    @Override
    public List<WorkflowTemplateFormField> findAllByPagination(CyPageUtil<WorkflowTemplateFormField> paginationUtility,
                                                               WorkflowTemplateFormField workflowTemplateFormField){
        return workflowTemplateFormFieldRepository.queryWorkflowTemplateFormFields(workflowTemplateFormField);
    }
    */
/**
    * 查询list 
    * @param workflowTemplateFormField
    * @return
    *//*

    @Override
    public List<WorkflowTemplateFormField> findAll(WorkflowTemplateFormField workflowTemplateFormField){
        return workflowTemplateFormFieldRepository.queryWorkflowTemplateFormFields(workflowTemplateFormField);
    }

}
*/
