package org.rcisoft.business.suser.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Update;
import org.rcisoft.business.suser.entity.SUserRole;
import org.rcisoft.core.base.CyBaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SUserRoleSYNRepo extends CyBaseMapper<SUserRole> {

    @Insert("<script>insert into s_user_role(business_id," +
            "user_id," +
            "role_id) value " +
            "<foreach collection =\"sUserRoles\" item=\"item\"  separator=\",\" > " +
            "(" +
            "#{item.businessId}, " +
            "#{item.userId}, " +
            "#{item.roleId})" +
            "</foreach></script>")
    int saveUserRoleSYN(@Param("sUserRoles") List<SUserRole> sUserRoles);

    @Update("delete from s_user_role where 1=1")
    @ResultMap(value = "BaseResultMap" )
    void removeAll();
}
