package org.rcisoft.business.suser.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 14:28  2019/10/28
 * @Modified By:
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_user")
public class KingdeeUserDto {

    /**
     *用户名
     */
    private String loginName;

    /**
     * 角色id
     */
    @Transient
    private String roleId;

    /**
     * 任务id
     */
    @Transient
    private String taskId;

    /**
     * 当前基站部门
     *
     */
    @Transient
    private String jzDeptId;

    /**
     * 当前角色所属部门
     *
     */
    private String deptId;

    /**
     *
     * 当前角色主键
     */
    private String businessId;

}
