package org.rcisoft.business.suser.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_dept")
public class SDept extends CyIdEntity<SDept> {


    /**
     * @desc 部门名称
     * @column NAME
     * @default
     */
    private String name;

    /**
     * @desc 上级部门id
     * @column PARENT_ID
     * @default
     */
    private String parentId;

    /**
     * @desc 层级
     * @column CASE_COUNT
     * @default
     */
    private int caseCount;

    /**
     * @desc 排序
     * @column SORT
     * @default
     */
    private int sort;

    /**
     * @desc 部门code
     * @column CODE
     * @default
     */
    private String code;
}
