package org.rcisoft.business.suser.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_role")
public class SRole extends CyIdEntity<SRole> {

    /**
     * @desc 角色名称
     * @column ROLE_NAME
     * @default
     */
    private String roleName;

    /**
     * @desc 角色编号
     * @column CODE
     * @default
     */
    private String code;
}
