package org.rcisoft.business.suser.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdNotDataEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_user_role")
public class SUserRole extends CyIdNotDataEntity {

    /**
     * @desc 主键id
     * @column BUSINESS_ID
     * @default
     */
    private String businessId;

    /**
     * @desc 用户id
     * @column USER_ID
     * @default
     */
    private String userId;

    /**
     * @desc 角色id
     * @column ROLE_ID
     * @default
     */
    private String roleId;
}
