package org.rcisoft.common;

import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public enum BaseStationStatus {

    //基站状态获取
    //通用状态
    BS_HAVE_MAINTAIN("已交维","17"),//17 已交维
    BS_WAIT_STANDOWN("拆站","18"),//18 待拆站
    BS_HAVE_STANDOWN("已拆站","19"),//19 已拆站
    BS_HAVE_CANCLE("已取消","1"),//1 已取消
    BS_CANALE_REQUIREMENT("需求取消","0"),//0 需求取消
    //移动 ---> MC
    /*MC_CANALE_REQUIREMENT("需求取消","0"),//0 需求取消*/
   /* MC_HAVE_CANCLE("已取消","1"),//1 已取消*/
    MC_WAIT_LOCATION("选址","3"),//2 选址
    MC_WAIT_PROSPECT("勘察","4"),//3 勘察
    MC_WAIT_TRIAGE("会审","5"),//5 会审
    MC_WAIT_DISCLOSURE("交底","6"),//5 交底
    MC_WAIT_PACKING("领料","8"),//8 领料
    MC_WAIT_EXECUTION("施工","9"),//9 施工
    MC_WAIT_OPEN("开通","11"),//11 开通
    MC_WAIT_CAPITAL("交资","13"),// 13 交资
    MC_WAIT_MAINTAIN("交维","16"),//16 交维
/*    MC_HAVE_MAINTAIN("已交维","17"),//17 已交维
    MC_WAIT_STANDOWN("拆站","18"),//18 待拆站
    MC_HAVE_STANDOWN("已拆站","19"),//19 已拆站*/
    //铁塔端 --->IT
    /*IT_CANALE_REQUIREMENT("需求取消","0"),//0 需求取消*/
    /*IT_HAVE_CANCLE("已取消","1"),//1 已取消*/
    IT_WAIT_LOCATION("选址","3"),//3 待选址
    IT_WAIT_PROSPECT("勘察","4"),//4 待勘察
    IT_WAIT_TRIAGE("会审","5"),//5 会审
    IT_WAIT_APPROVAL("立项","7"),//7立项
    IT_WAIT_PACKING("领料","8"),//8 领料
    IT_WAIT_EXECUTION("施工","10"),//10 施工
    IT_WAIT_COMPLETION(" 完工","12"),//12 完工
    IT_WAIT_DELIVERY("交付","14"),//14 交付
    IT_WAIT_ONHIRE("起租","15"),//15 起租
    IT_WAIT_MAINTAIN("交维","16"),//16交维
/*    IT_HAVE_MAINTAIN("已交维","17"),//17已交维
    IT_WAIT_STANDOWN("拆站","18"),//18 待拆站
    IT_HAVE_STANDOWN("已拆站","19"),//19 已拆站*/
    //代缴站 --->DJ
    DJ_HAVE_OPEN("已开通","2");


    private String status;
    private String code;

    BaseStationStatus(String status, String code) {
        this.status = status;
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
