package org.rcisoft.common;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public enum ExclEnum {
    JZCODE("jzCode","  基站号  "),
    JZNAME("jzName","  基站名  "),
    PROJECTCODE("projectCode","项目编号"),
    BUSINESSLINE("businessLine","业务线"),//0(飞箱选址),1(铁塔选址),2(小站选址),3(电费代缴) 数据字典映射
    JZYYS("jzYys","运营商"),// 电信  移动  联通
    JZREQUIRE("jzRequire","  需求号  "),
    JZQY("jzQy","区域"), //数据字典映射
    PROJECTADDRESS("projectAddress","项目地址"),
    JZTYPE("jzType","类型"),//0(代缴站),1(铁通),2(航数)
    JZSTATE("jzState","基站状态"),
    CURUSERNAME("curUserName","阶段负责人"),
    JZPROJECTOWNER("jzProjectOwner","项目负责人"),
    CURDEPTNAME("curDeptName","部门"),
    JZUPCUSTOM("jzUpCustom","上游客户"), //映射
    JZCONSTRUCT("jzConstruct","建设方式"),//建设方式 0 飞箱 , 1 微站 映射
    JZMOBILENAME("jzMobileName","移动关系"),
    JZMOBILEPHONE("jzMobilePhone","移动联系方式"),
    JZLONGITUDE("jzLongitude","经度"),
    JZLATITUDE("jzLatitude","纬度"),
    JZEWM("jzEwm","基站二维码"),
    JZCREATEDATE("jzCreateDate","基站创建日期");
    private String property;
    private String translate;

    ExclEnum(String property, String translate) {
        this.property = property;
        this.translate = translate;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public String getTranslate() {
        return translate;
    }

    public void setTranslate(String translate) {
        this.translate = translate;
    }
}
