package org.rcisoft.common;

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.ExecutionListener;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 10:04  2019/10/17
 * @Modified By:
 */
@Component
public class GatewayUtil implements ExecutionListener{

    public  Boolean containRole(DelegateExecution execution,String... rid){
        boolean flag = false;
        if (rid.length > 0 ) {
            //1,2,
            String[] roles = execution.getVariable("rid").toString().split(",");
            List<String> role = Arrays.asList(roles) ;
            if(role.size() == 0)
                return false;
            for(int i = 0 ; i < rid.length ; i++) {
                if (role.contains(rid[i])) {
                    flag = true;
                    break;
                }
            }
        }
        return flag;
    }


    public  Boolean notContainRole(DelegateExecution execution,String... rid){
        return !this.containRole(execution, rid);
    }

    @Override
    public void notify(DelegateExecution delegateExecution) throws Exception {

    }
}
