package org.rcisoft.common;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public enum ProcessMapBpmn {

    //基站业务  BASE_STATION ---> BS
    BS_MODIFY_INFO("S001","S001_XG","S01"),//修改基站信息
    BS_CHANGE_SALEMANS("S002","S002_GH","S02"),//更换业务员
    BS_NEED_CANCLE("S003","S003_XQ","S03","1"),//需求取消
    BS_STAND_DOWN("S004","S004_CZ","S04","19"),//拆站
    BS_MAINTANCE_DOWN("S005","S005_WC","S05","19"),//维护部拆站
    BS_MAINTANCE_CHANGE("S006","S006_WX","S06"),//维护部修改
    //移动基站业务 mobile communication -->MC
    MC_DISCUSS_SUCCESS("M001","M001_XZ","M01","4"),//选址成功
    MC_DISCUSS_FAILURE("M002","M002_XZ","M02","1"),//选址失败
    MC_RECONNAISSANCE("M003","M003_KC","M03","5"),//勘察
    MC_JOINT_HEARING("M004","M004_HS","M04","6"),//会审
    MC_DISCLOSURE("M005","M005_JD","M05","8"),//交底
    MC_PICKING("M006","M006_LL","M06","9"),//领料
    MC_CONSTRUCTION("M007","M007_SG","M07","11"),//施工
    MC_DREDGE("M008","M008_KT","M08","13"),//开通
    //MC_SIGNED_ORDER("M009","M009_QD","M09"),//签署订单
    MC_DELIVER_MONEY("M010","M010_JZ","M10","16"),//交资
    MC_DELIVER_MAINTEANCE("M011","M011_JW","M11","17"),//交维
    MC_STAND_DOWN("M012","M012_CZ","M12","19"),//拆站
    MC_MAINTANCE_DOWN("M013","M013_WC","M13","19"),//维护部拆站
    MC_MAINTANCE_CHANGE("M014","M014_WX","M14"),//维护部修改

    //铁塔 iron tower --->IT
    IT_DISCUSS_SUCCESS("T001","T001_XZ","T01","4"),//选址成功
    IT_DISCUSS_FAILURE("T002","T002_XZ","T02","1"),//选址失败
    IT_RECONNAISSANCE("T003","T003_KC","T03","5"),//勘察
    IT_JOINT_HEARING("T004","T004_HS","T04","7"),//会审
    IT_PROJECT_APPROVAL("T005","T005_LX","T05","8"),//立项
    IT_PICKING("T006","T006_LL","T06","10"),//领料
    IT_CONSTRUCTION("T007","T007_SG","T07","12"),//施工
    IT_COMPLETE("T008","T008_WG","T08","14"),//完工
    IT_DELIVERY("T009","T009_JF","T09","15"),//交付
    IT_ON_HIRE("T010","T010_QZ","T10","16"),//起租
    //IT_SIGN_CONTRACT("T011","T011_HT","T11"),//签订租赁与电费合同
    IT_DELIVER_MAINTEANCE("T012","T012_JW","T12","17"),//交维
    IT_STAND_DOWN("T013","T013_CZ","T13","19"),//拆站
    IT_MAINTANCE_DOWN("T014","T014_WC","T14","19"),//维护部拆站
    IT_MAINTANCE_CHANGE("T015","T015_WX","T15");//维护部修改



    private String code;//流程编号
    private String key;//Bpmn文件id
    private String typeTemplate;//模板类型
    private String status;//流程状态
    ProcessMapBpmn(String code, String key,String typeTemplate) {
        this.code = code;
        this.key = key;
        this.typeTemplate = typeTemplate;
    }

    ProcessMapBpmn(String code, String key, String typeTemplate, String status) {
        this.code = code;
        this.key = key;
        this.typeTemplate = typeTemplate;
        this.status = status;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTypeTemplate() {
        return typeTemplate;
    }

    public void setTypeTemplate(String typeTemplate) {
        this.typeTemplate = typeTemplate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
