package org.rcisoft.common;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public enum  RegionEnum {
    //勘察单   移动铁塔勘察阶段
    JZPROSPECTLIST("jzProspectlist","jzProspectlistName","jzProspectlistPath","0"),  //勘察阶段

    //设计图 移动铁塔会审阶段
    JZDESIGNDRAWING("jzDesigndrawing","jzDesigndrawingName","jzDesigndrawingPath","1"),//会审阶段
    //要素表  移动会审阶段
    JZELEMENTLIST("jzElementlist","jzElementlistName","jzElementlistPath"),

    //出库单  移动铁塔领料阶段
    JZOUTBOUNDLIST("jzOutboundlist","jzOutboundlistName","jzOutboundlistPath","2"),//领料阶段

    //运营商验收单  移动施工验收阶段
    JZOPERATORACCEPTLIST("jzOperatoracceptlist","jzOperatoracceptlistName","jzOperatoracceptlistPath","3"),//施工验收阶段
    //路由图       移动施工验收阶段
    JZROUTEDRAWING("jzRoutedrawing","jzRoutedrawingName","jzRoutedrawingPath"),
    //竣工验收单    移动施工验收阶段
    JZCOMPLETEDACCEPTLIST("jzCompletedacceptlist","jzCompletedacceptlistName","jzCompletedacceptlistPath"),
    //上联机房位置   移动施工验收阶段
    JZUPPERMACHINEROOMPLACE("jzUppermachineroomplace"),

    //网元id
    JZNEID("jzNeId"),//移动开通
    //开通截图
    JZOPENDRAWING("jzOpendrawing","jzOpendrawingName","jzOpendrawingPath","4"),//开通阶段

    //资产编码  移动交资阶段
    JZPROPERTYCODE("jzPropertycode","5"),//交资阶段

    //是否与业主交接 0交接 1不交接       移动交维阶段
    JZISCONNECTWITHOWNER("jzIsconnectwithowner","6"),//交维阶段
    //接维物业名称
    JZPROPERTYNAME("jzPropertyname"),
    //业主联系方式
    JZOWNERCONTACTINFO("jzOwnercontactinfo"),
    //交维人员
    JZMAINTAIN("jzMatintain","maintainer","deptMaintain"),

    //电力预算  铁塔立项阶段
    JZBUDGETOFELECTIC("jzBudgetofelectic","jzBudgetofelecticName","jzBudgetofelecticPath","7"),//立项阶段
    //立项物质清单
    JZMATTERLIST("jzMatterlist","jzMatterlistName","jzMatterlistPath"),

    //开工报告  铁塔施工阶段
    JZOPENREPORY("jzOpenrepory","jzOpenreporyName","jzOpenreporyPath","8"),//施工阶段
    //施工组织方案
    JZCONSTRUCTPROCEPT("jzConstructprocept","jzConstructproceptName","jzConstructproceptPath"),

    //完工报告  铁塔完工阶段
    JZCOMPLETEDREPORT("jzCompletedreport","jzCompletedreportName","jzCompletedreportPath","9"),
    //完工照片
    JZCOMPLETEDPHOTO("jzCompletedphoto","jzCompletedphotoName","jzCompletedphotoPath"),

    //起租截图  铁塔起租阶段
    JZRENTDRAWING("jzRentdrawing","jzRentdrawingName","jzRentdrawingPath","10"),

    //更换业务员
    CHANGESALESMAN("changeSalesman","12"),//更换业务员

    CANCLE("cancle","13"),//取消原因
/*    DELETE("delete","14"),//删除原因*/

    STANDDOWN("16"), //拆站阶段

    MANAGERUPDATE("17"),//管理员修改基站信息

    UPDATEBSINFO("18"),//修改基站信息

 /*   MAINTAINSTANDDOWN("19"),//维护部拆站*/

    MAINTAINUPDATEBSINFO("20"),//维护部修改

    CANCLENEED("21")


    ;

    private String key;
    private String name;
    private String path;
    private String reason;
    RegionEnum(String key ,String name, String path,String reason) {
        this.key = key;
        this.name = name;
        this.path = path;
        this.reason = reason;
    }
    RegionEnum(String key ,String name, String path) {
        this.key = key;
        this.name = name;
        this.path = path;
    }

    RegionEnum(String key,String reason) {
        this.key = key;
        this.reason = reason;
    }
    RegionEnum(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
