package org.rcisoft.common;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 11:17  2019/10/23
 * @Modified By:
 */
public enum StateTypeTemplateMD {

    MC_WAIT_LOCATION("3","1","M01","M001"),//2 选址
    MC_WAIT_PROSPECT("4","1","M03","M003"),//3 勘察
    MC_WAIT_TRIAGE("5","1","M04","M004"),//5 会审
    MC_WAIT_DISCLOSURE("6","1","M05","M005"),//6 交底
    MC_WAIT_PACKING("8","1","M06","M006"),//8 领料
    MC_WAIT_EXECUTION("9","1","M07","M007"),//9 施工
    MC_WAIT_OPEN("11","1","M08","M008"),//11 开通
    MC_WAIT_CAPITAL("13","1","M10","M010"),// 13 交资
    MC_WAIT_MAINTAIN("16","1","M11","M011");//16 交维



    private String state;
    private String type;
    private String template;
    private String key;

    StateTypeTemplateMD(String state, String type, String template, String key) {
        this.state = state;
        this.type = type;
        this.template = template;
        this.key = key;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }
}
