package org.rcisoft.business.excelimport.tbexcelinfo.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.base.CyBaseMapper;
import org.rcisoft.business.excelimport.tbexcelinfo.entity.TbExcelInfo;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with zyj on 2019-8-3 0:55:38.
*/
@Repository
public interface TbExcelInfoRepository extends CyBaseMapper<TbExcelInfo> {

    /**
    * 分页查询 tbExcelInfo
    *
    */
    @Select("<script>select * from tb_excel_info where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TbExcelInfo> queryTbExcelInfos(TbExcelInfo tbExcelInfo);

    @Select("<script>select * from tb_excel_info where 1=1 "
            + "AND del_flag = '0' "
            + "AND flag = '1' " +
            "AND user_id = #{userId} " +
            "AND excel_status = '0'"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TbExcelInfo> findByUserId(@Param("userId") String userId);
}

