package org.rcisoft.business.hijzmessage.service;

import org.rcisoft.business.hijzmessage.entity.HiJzMessage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtil;

import java.util.List;

/**
 * Created by lpy on 2019-7-26 15:45:51.
 */
public interface HiJzMessageService {

    /**
    * 保存 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    CyPersistModel save(HiJzMessage hiJzMessage);

    /**
    * 删除 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    CyPersistModel remove(HiJzMessage hiJzMessage);
    /**
    * 逻辑删除 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    CyPersistModel removeLogical(HiJzMessage hiJzMessage);
    /**
    * 修改 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    CyPersistModel merge(HiJzMessage hiJzMessage);

    /**
    * 根据id查询 基站历史信息表
    * @param id
    * @return
    */
    HiJzMessage findById(String id);

    /**
    * 分页查询 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    List<HiJzMessage> findAllByPagination(CyPageUtil<HiJzMessage> paginationUtility,
                                          HiJzMessage hiJzMessage);


    /**
    * 查询list 基站历史信息表
    * @param hiJzMessage
    * @return
    */
    List<HiJzMessage> findAll(HiJzMessage hiJzMessage);

}
