package org.rcisoft.business.jzmessage.util;

import org.rcisoft.business.hijzmessage.entity.HiJzMessage;
import org.rcisoft.business.jzmessage.entity.JzMessage;

import org.rcisoft.business.xgjzmessage.entity.XgJzMessage;
import org.rcisoft.core.util.CyUserUtil;
import org.springframework.beans.BeanUtils;

import java.util.UUID;

public class ChangeUtil {

    public static HiJzMessage jzMessageToHistory(JzMessage jzMessage){
        HiJzMessage hiJzMessage = new HiJzMessage();
        BeanUtils.copyProperties(jzMessage,hiJzMessage);
        hiJzMessage.setJzId(jzMessage.getBusinessId());
        CyUserUtil.setCurrentPersistOperation(hiJzMessage);

        return hiJzMessage;
    }

    public static XgJzMessage jzMessageToXgJzMessage(JzMessage jzMessage){
        XgJzMessage xgJzMessage = new XgJzMessage();
        BeanUtils.copyProperties(jzMessage,xgJzMessage);
        xgJzMessage.setJzId(jzMessage.getBusinessId());
        xgJzMessage.setBusinessId(String.valueOf(UUID.randomUUID()));
       /* CyUserUtil.setCurrentPersistOperation(xgJzMessage);*/
        return xgJzMessage;
}

    public static JzMessage XgJzMessageToJzMessage(XgJzMessage xgJzMessage){
        JzMessage jzMessage = new JzMessage();
        jzMessage.setJzXgid(xgJzMessage.getBusinessId());
        BeanUtils.copyProperties(xgJzMessage,jzMessage);
       /* CyUserUtil.setCurrentPersistOperation(xgJzMessage);*/
        return jzMessage;
    }
}
