package org.rcisoft.business.jzmessage.util;

import org.apache.commons.lang.enums.Enum;
import org.rcisoft.common.BaseStationStatus;
import org.rcisoft.common.KingAddJzDJ;
import org.rcisoft.common.KingAddJzMD;
import org.rcisoft.common.KingAddJzTT;
import org.springframework.stereotype.Component;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 17:51  2019/10/14
 * @Modified By:
 */
@Component
public class EnumUtil {

    public  static String EnumUtilDJ(String status, KingAddJzDJ[] kingAddJzDJS){
        for (int i = 0;i<kingAddJzDJS.length;i++){
            if (status.contains(kingAddJzDJS[i].getStatus())){
                return kingAddJzDJS[i].getCode();
            }
        }
        return null;
    }

    public  static String EnumUtilMM(String status, KingAddJzMD[] kingAddJzMDS){
        for (int i = 0;i<kingAddJzMDS.length;i++){
            if (status.contains(kingAddJzMDS[i].getStatus())){
                return kingAddJzMDS[i].getCode();
            }
        }
        return null;
    }

    public  static String EnumUtilTT(String status, KingAddJzTT[] kingAddJzTTS){
        for (int i = 0;i<kingAddJzTTS.length;i++){
            if (status.contains(kingAddJzTTS[i].getStatus())){
                return kingAddJzTTS[i].getCode();
            }
        }
        return null;
    }
}
