package org.rcisoft.business.kingdee.commom;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 11:21  2019/9/11
 * @Modified By:
 */
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


@Data
@Component
public class K3CloundConfig {

    /**
     * 金蝶url前缀
     */
    @Value("${kingdee.url}")
    private String url;

    /**
     * 登录接口
     */
    @Value("${kingdee.login}")
    private String login;

    /**
     * 查看接口
     */
    @Value("${kingdee.view}")
    private String view;

    /**
     * 保存接口
     */
    @Value("${kingdee.save}")
    private String save;

    /**
     * 提交接口
     */
    @Value("${kingdee.submit}")
    private String submit;


    /**
     * 审核接口
     */
    @Value("${kingdee.audit}")
    private String audit;

    /**
     * 状态改变接口
     */
    @Value("${kingdee.statusConver}")
    private String statusConver;

    /**
     * 用户名
     */
    @Value("${kingdee.user}")
    private String username;

    /**
     * 密码
     */
    @Value("${kingdee.password}")
    private String password;

    /**
     * 账套id
     */
    @Value("${kingdee.DBid}")
    private String DBid;

    /*
    * 数据格式
    * */
    @Value("${kingdee.Icon}")
    private int Icon;



}

