package org.rcisoft.business.kingdee.control;

import com.sun.tools.internal.xjc.reader.xmlschema.bindinfo.BIConversion;
import org.rcisoft.business.jzmessage.dao.JzMessageRepository;
import org.rcisoft.business.jzmessage.entity.JzMessage;
import org.rcisoft.business.kingdee.commom.K3CloundConfig;
import org.rcisoft.business.kingdee.commom.KDFormIdEnum;
import org.rcisoft.business.kingdee.entity.KingDeeJzMessageDTO;
import org.rcisoft.business.kingdee.service.KingDeeMyselfPorCodeService;
import org.rcisoft.business.kingdee.service.KingdeeMyselfService;
import org.rcisoft.business.kingdee.service.KingdeeService;
import org.rcisoft.business.kingdee.service.impl.KingDeeRecallServiceImpl;
import org.rcisoft.business.kingdee.until.BaseUtil;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 13:50  2019/9/11
 * @Modified By:
 */
@RestController
@RequestMapping("/kingdee")
public class KingdeeControl {
    private final static String UserName="Administrator";
    private final static String DBid="5d8acc5a26042d";
    private final static String password="kJyGjIQ5DW0tpd@B";
    @Autowired
    private JzMessageRepository jzMessageRepository;
    @Autowired
    private KingdeeService kingdeeService;
    @Autowired
    private K3CloundConfig k3CloundConfig;
    @Autowired
    private KingdeeMyselfService kingdeeMyselfService;
    @Autowired
    private KingDeeMyselfPorCodeService kingDeeMyselfPorCodeService;
    @Autowired
    private KingDeeRecallServiceImpl kingDeeRecallService;
    @PostMapping("login")
    public CyResult login() {
        String login = BaseUtil.buildLogin(DBid, UserName, password, 2052);
        return kingdeeService.login(k3CloundConfig.getUrl() + k3CloundConfig.getLogin(), login);
    };

    @PostMapping("save")
    public CyResult save(String sessionId) {
        return CyResultGenUtil.builder(kingdeeMyselfService.Kingdee(sessionId),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                sessionId);

    };

    @PostMapping("saveProjectCode")
    public CyResult saveProjectCode(String sessionId){

        return CyResultGenUtil.builder(kingDeeMyselfPorCodeService.kingDeeProCode(sessionId),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                sessionId);

    };

    @PostMapping("kingDeeRecall")
        public CyResult kingDeeRecall(KingDeeJzMessageDTO kingDeeJzMessageDTO){
        return kingDeeRecallService.KingDeeRecall(kingDeeJzMessageDTO);
    }
}


