package org.rcisoft.business.processDesign.dao;

import org.rcisoft.business.processDesign.entity.WorkflowTemplateFormField;
import org.rcisoft.core.base.CyBaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * Created with cy on 2019-7-25 9:18:25.
 */
@Repository
public interface WorkflowTemplateFormFieldRepository extends CyBaseMapper<WorkflowTemplateFormField> {

    /**
     * 分页查询 workflowTemplateFormField
     */
    @Select("<script>select * from workflow_template_form_field where 1=1 "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplateFormField> queryWorkflowTemplateFormFields(WorkflowTemplateFormField workflowTemplateFormField);

    List<WorkflowTemplateFormField> templateBytaskId(String taskId);

    @Select("<script>select * from workflow_template_form_field where template_id=#{1}</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplateFormField> fieldByTemplate(String template);
}

