package org.rcisoft.business.processDesign.dao;

import org.rcisoft.business.processDesign.entity.WorkflowTemplateFormFieldHi;
import org.rcisoft.business.processDesign.entity.WorkflowTemplatePermissionHi;
import org.rcisoft.core.base.CyBaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * Created with cy on 2019-7-26 16:12:12.
 */
@Repository
public interface WorkflowTemplatePermissionHiRepository extends CyBaseMapper<WorkflowTemplatePermissionHi> {

    /**
     * 分页查询 workflowTemplatePermissionHi
     */
    @Select("<script>select * from workflow_template_permission_hi where 1=1 "
            + "</script>")
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplatePermissionHi> queryWorkflowTemplatePermissionHis(WorkflowTemplatePermissionHi workflowTemplatePermissionHi);

    @Select("<script>select * from workflow_template_permission_hi where field_id=#{id}</script>")
    //通过fieldHiId查询权限
    @ResultMap(value = "BaseResultMap")
    List<WorkflowTemplatePermissionHi> getByFieldHiId(WorkflowTemplateFormFieldHi workflowTemplateFormFieldHi);

}

