package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_task_data_hi")
public class WorkflowTaskDataHi   {


     /**
     * @desc 
     * @column id
     * @default 
     */
     @Id
     private String id;
     /**
     * @desc 任务主键
     * @column work_id
     * @default 
     */
     private String workId;
     /**
     * @desc 模板字段主键
     * @column field_id
     * @default 
     */
     private String fieldId;
     /**
     * @desc 填充值
     * @column field_value
     * @default 
     */
     private String fieldValue;
     /**
     * @desc 绑定task的执行人
     * @column workflow_id
     * @default 
     */
     private String taskDataMesId;

     @Transient
     private String fieldTp;

     @Transient
     private String fieldNm;

     @Transient
     private String fieldOrder;


     @Transient
     private String processId;

     @Transient
     private String fieldExpand;
}

