package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_approve_hi")
public class WorkflowTemplateApproveHi  extends CyIdNotDataEntity<WorkflowTemplateApproveHi> {


     /**
     * @desc 主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 模板主键
     * @column template_id
     * @default 
     */
     private String templateId;
     /**
     * @desc 流程节点主键
     * @column activity_id
     * @default 
     */
     private String activityId;
     /**
     * @desc 
     * @column activity_nm
     * @default 
     */
     private String activityNm;
     /**
     * @desc 审批人员类型（1：指定人员2：指定角色3.创建人自选4.创建人自己
            5.连续多级主管）
     * @column person_type
     * @default 
     */
     private String personType;
     /**
     * @desc 审批人员数据
     * @column person_data
     * @default 
     */
     private String personData;
     /**
     * @desc 审批方式（1：依次2：会签3：或签）
     * @column approve_type
     * @default 
     */
     private String approveType;
     /**
     * @desc 审批人员为空时处理方式（1：自动通过 2：转交管理员）
     * @column person_null
     * @default 
     */
     private String personNull;
     /**
     * @desc 是否是审批节点
     * @column if_approve_node
     * @default 
     */
     private String ifApproveNode;
     /**
     * @desc 是否抄送
     * @column if_copy
     * @default 
     */
     private String ifCopy;
     /**
     * @desc 节点配置的按钮项，多个逗号隔开
     * @column buttons
     * @default 
     */
     private String buttons;


}

