package org.rcisoft.business.processDesign.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "workflow_template_form_field_hi")
public class WorkflowTemplateFormFieldHi  extends CyIdNotDataEntity<WorkflowTemplateFormFieldHi> {


     /**
     * @desc 字段主键
     * @column id
     * @default 
     */
     private String id;
     /**
     * @desc 工单模板主键
     * @column template_id
     * @default 
     */
     private String templateId;
     /**
     * @desc 字段类型
     * @column field_tp
     * @default 
     */
     private String fieldTp;
     /**
     * @desc 字段名称
     * @column field_nm
     * @default 
     */
     private String fieldNm;
     /**
     * @desc 顺序
     * @column field_order
     * @default 
     */
     private Integer fieldOrder;
     /**
     * @desc 提示语
     * @column field_hint
     * @default 
     */
     private String fieldHint;
     /**
     * @desc 是否必填
     * @column required
     * @default 
     */
     private String required;
     /**
     * @desc 是否参与打印
     * @column print
     * @default 
     */
     private String print;
     /**
     * @desc 是否关键信息
     * @column major
     * @default 
     */
     private String major;
     /**
     * @desc 拓展
     * @column expand
     * @default 
     */
     private String expand;

     //字段值
     @Transient
     private String fieldValue;

     //是否可编写
     @Transient
     private String ifWrite;

     //是否已读
     @Transient
     private String permission;

     @Transient
     private String jsonStr;

     @Transient
     private String processId;
}

