package org.rcisoft.business.processDesign.service;

import org.rcisoft.business.processDesign.dto.ComplateTaskResDto;
import org.rcisoft.business.processDesign.dto.WorkTemplateResDTO;
import org.rcisoft.business.processDesign.entity.WorkflowTaskDateMes;
import org.rcisoft.business.processDesign.entity.WorkflowTemplateFormFieldHi;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 17:48  2019/7/28
 * @Modified By:
 */
public interface TaskService {
    //根据任务id查询表单数据
    ComplateTaskResDto taskedByTaskId(String taskId);

    //根据任务id获取表单及权限
    ComplateTaskResDto complateByTaskId(String taskId);

    //根据任务id插入数据
    CyPersistModel insertDataMesByTaskId(WorkflowTaskDateMes workflowTaskDateMes);
}
