package org.rcisoft.business.querytask.service;

import org.rcisoft.business.querytask.entity.CompletedTask;
import org.rcisoft.business.querytask.entity.ToDoTask;
import org.rcisoft.core.aop.CyPageUtil;

import java.util.List;

public interface QueryTasksService {
    /**
     * 分页查询待办任务
     * @param
     * @return
     */
    List<ToDoTask> findTodoTasksByPagination(CyPageUtil<ToDoTask> paginationUtility,
                                             ToDoTask toDoTask,List<String> deptIdList);
    /**
     * 分页查询已办任务
     * @param
     * @return
     */
    List<CompletedTask> findCompletedTasksByPagination(CyPageUtil<CompletedTask> paginationUtility,
                                                       CompletedTask completedTask);
}
