package org.rcisoft.business.sdictionary.dao;

import org.rcisoft.core.base.CyBaseMapper;
import org.rcisoft.business.sdictionary.entity.SDictionary;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with lpy on 2019-7-30 12:51:26.
*/
@Repository
public interface SDictionaryRepository extends CyBaseMapper<SDictionary> {

    /**
    * 分页查询 sDictionary
    *
    */
    @Select("<script>select * from s_dictionary where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<SDictionary> querySDictionarys(SDictionary sDictionary);

    /**
     * 根据字典类型查询名称
     */
    @Select("<script> select * from s_dictionary where 1 =1 " +
            "<if  test=\"typeList != null and typeList.size()> 0\"> and type in " +
            "<foreach collection = \"typeList\" item = \"item\" open =\"(\" close=\")\" separator=\",\"> #{item} </foreach>" +
            "</if>" +
            "<if  test=\"value != null and value != ''\">and value = #{value} </if>" +
            "<if  test=\"name != null and name != ''\">and name = #{name} </if>" +
            "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "+
            "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "+
            "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<SDictionary> queryByType(SDictionary sDictionary);

}

