package org.rcisoft.business.sdictionary.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with lpy on 2019-7-30 12:51:25.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_dictionary")
public class SDictionary  extends CyIdEntity<SDictionary> {



     /**
     * @desc 父节点id
     * @column PID
     * @default 
     */
     private String pid;

     /**
     * @desc 类型
     * @column TYPE
     * @default 
     */
     private String type;

     /**
     * @desc 名字
     * @column NAME
     * @default 
     */
     private String name;

     /**
     * @desc 值
     * @column VALUE
     * @default 
     */
     private String value;

     /**
      * 运营商列表
      */
     @Transient
     private List<String> sdListYys;

     /**
      * 类型列表
      */
     @Transient
     private List<String> typeList;

}

