package org.rcisoft.business.suser.controller;

import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.suser.service.SUserSYNService;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/userSYN")
public class SUserSYNController {

    @Autowired
    private SUserSYNService sUserSYNService;

    @ApiOperation(value="同步用户", notes="同步用户")
    //@ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = false, dataType = "varchar")})
    @GetMapping(value = "/synUser")
    public CyResult addUser(String timestamp, String sign) {
        CyPersistModel data = sUserSYNService.synUser(timestamp, sign);
        return CyResultGenUtil.builder(data,
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                data);
    }
}
