package org.rcisoft.business.suser.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Update;
import org.rcisoft.business.suser.entity.SRole;
import org.rcisoft.core.base.CyBaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SRoleSYNRepo extends CyBaseMapper<SRole> {

    //int removeAll();
    @Insert("<script>insert into s_role (business_id, " +
            "role_name, " +
            "code, " +
            "create_by, " +
            "create_date, " +
            "update_by, " +
            "update_date, " +
            "del_flag, " +
            "flag ) value " +
            "<foreach collection =\"sRoles\" item=\"item\"  separator=\",\" > " +
            "(" +
            "#{item.businessId}, " +
            "#{item.roleName}, " +
            "#{item.businessId}, " +
            "#{item.createBy}, " +
            "#{item.createDate}, " +
            "#{item.updateBy}, " +
            "#{item.updateDate}, " +
            "#{item.delFlag}, " +
            "#{item.flag}" +
            ")" +
            "</foreach></script>")
    @ResultMap(value = "BaseResultMap" )
    int saveRoleSYN(@Param("sRoles") List<SRole> sRoles);

    @Update("delete from s_role where 1=1")
    @ResultMap(value = "BaseResultMap" )
    void removeAll();
}
