package org.rcisoft.business.xgjzmessage.service;

import org.rcisoft.business.xgjzmessage.entity.XgJzMessage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtil;

import java.util.List;

/**
 * Created by lpy on 2019-7-26 15:45:51.
 */
public interface XgJzMessageService {

    /**
    * 保存 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    CyPersistModel save(XgJzMessage xgJzMessage);

    /**
    * 删除 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    CyPersistModel remove(XgJzMessage xgJzMessage);
    /**
    * 逻辑删除 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    CyPersistModel removeLogical(XgJzMessage xgJzMessage);
    /**
    * 修改 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    CyPersistModel merge(XgJzMessage xgJzMessage);

    /**
    * 根据id查询 基站信息修改表
    * @param id
    * @return
    */
    XgJzMessage findById(String id);

    /**
    * 分页查询 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    List<XgJzMessage> findAllByPagination(CyPageUtil<XgJzMessage> paginationUtility,
                                          XgJzMessage xgJzMessage);


    /**
    * 查询list 基站信息修改表
    * @param xgJzMessage
    * @return
    */
    List<XgJzMessage> findAll(XgJzMessage xgJzMessage);

}
