package org.rcisoft.common;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 11:17  2019/10/23
 * @Modified By:
 */
public enum StateTypeTemplateTT {


    IT_WAIT_LOCATION("3","2","T01","T001"),//3 待选址
    IT_WAIT_PROSPECT("4","2","T03","T003"),//4 待勘察
    IT_WAIT_TRIAGE("5","2","T04","T004"),//5 会审
    IT_WAIT_APPROVAL("7","2","T05","T005"),//7立项
    IT_WAIT_PACKING("8","2","T06","T006"),//8 领料
    IT_WAIT_EXECUTION("10","2","T07","T007"),//10 施工
    IT_WAIT_COMPLETION("12","2","T08","T008"),//12 完工
    IT_WAIT_DELIVERY("14","2","T09","T009"),//14 交付
    IT_WAIT_ONHIRE("15","2","T10","T010"),//15 起租
    IT_WAIT_MAINTAIN("16","2","T12","T012");//16交维


    private String state;
    private String type;
    private String template;
    private String key;

    StateTypeTemplateTT(String state, String type, String template, String key) {
        this.state = state;
        this.type = type;
        this.template = template;
        this.key = key;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }
}
